### Enumeration

# GimpUi SizeEntryUpdatePolicy

unstable since: 3.0

#### Declaration

    enum GimpUi.SizeEntryUpdatePolicy

#### Description [src]

Update policies for `GimpSizeEntry`.

Available since: 3.0

#### Members

`GIMP_SIZE_ENTRY_UPDATE_NONE`

  The size entry’s meaning is up to the user.

  - Value: `0`
  - Nickname: `none`
  - Available since: 3.0
`GIMP_SIZE_ENTRY_UPDATE_SIZE`

  The size entry displays values.

  - Value: `1`
  - Nickname: `size`
  - Available since: 3.0
`GIMP_SIZE_ENTRY_UPDATE_RESOLUTION`

  The size entry displays resolutions.

  - Value: `2`
  - Nickname: `resolution`
  - Available since: 3.0